> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/login-validation.md).

# Login Validation

## POST /api/Public/ValidateLogin/validate

> Validate login validation

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ValidateLogin"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.LoginRequest":{"type":"object","properties":{"username":{"type":"string","nullable":true},"password":{"type":"string","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"},"loginNonce":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ValidateLogin/validate":{"post":{"tags":["ValidateLogin"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.LoginRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Validate login validation","operationId":"post_ValidateLogin_validate"}}}}
```

## POST /api/Public/ValidateLogin/check-auth-required

> Check auth required

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ValidateLogin"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.CheckAuthRequest":{"type":"object","properties":{"emailId":{"type":"string","nullable":true},"loginType":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ValidateLogin/check-auth-required":{"post":{"tags":["ValidateLogin"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CheckAuthRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Check auth required","operationId":"post_ValidateLogin_check_auth_required"}}}}
```
